Subject: bug#33301: 27.0.50; broken elisp indentation for non-definition symbols starting with "def.."

From: Noam Postavsky <[email-masked]>
Date: Fri, 09 Nov 2018 07:28:53 -0500

Michael Heerdegen <[email-masked]> writes:

> João Távora <[email-masked]> writes:
>
>> OK, just add (derived-mode-p 'emacs-lisp-mode), as is done elsewhere
>> in that file.
>
> I think we could do that, but I don't feel qualified to decide.  Maybe
> Noam can help.

I think it would be acceptable.

> As far as the example in your bug report is concerned, I think it would
> also be an improvement if elisp-mode wouldn't try be clever in such a
> way when indenting branches in a cond or variable associations in a let.

The problem is that we currently don't have any way of specifying
indentation for subforms of macro arguments, which is also the core
problem of the other bugs I mentioned about indentation of cl-flet and
friends.